GUB: patch for linux_kernel_headers

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

GUB: patch for linux_kernel_headers

Pedro Kröger

Hi,

You may want to apply the attached patch. It updates
linux_kernel_headers to 2.6.13+0rc3-2.1. I couldn't find
2.6.13+0rc3-2 from any mirror.

Pedro



New patches:

[updated version of Linux_kernel_headers
Pedro Kröger <[hidden email]>**20060328000836] {
hunk ./lib/arm.py 18
- linux.Linux_kernel_headers (settings).with (version='2.6.13+0rc3-2', mirror=download.lkh_deb, format='deb'),
+ linux.Linux_kernel_headers (settings).with (version='2.6.13+0rc3-2.1', mirror=download.lkh_deb, format='deb'),
hunk ./lib/linux.py 52
- Linux_kernel_headers (settings).with (version='2.6.13+0rc3-2', mirror=download.lkh_deb, format='deb'),
+ Linux_kernel_headers (settings).with (version='2.6.13+0rc3-2.1', mirror=download.lkh_deb, format='deb'),
}

Context:

[Add quotes for GUB_DISTCC_ALLOW_HOSTS.  What about /N suffixes?
[hidden email]**20060324092657]
[Cygwin installer fixes for LILYPOND_CVSDIR=lilypond-2.8.
[hidden email]**20060324091540]
[Add minimal Cygwin hints and readme; fixes cygwin build.
[hidden email]**20060324082146]
[Ugly lilypond-HEAD naming/versioning workarounds.
[hidden email]**20060324082123]
[Do version fixups for cygwin installer dependency manager.
[hidden email]**20060324065300]
[build fontconfig too.
[hidden email]**20060323212953]
[tweaks.
[hidden email]**20060323212636]
[local driver opts for bootstrap.
[hidden email]**20060323212629]
[ add patches/nsis-2.15-patchgenerator.patch
[hidden email]**20060323211308]
[move per-user fontconfig cache to lilypond.py , use .lilypond-VERSION-cache-1.
[hidden email]**20060323200203]
[add patches/fontconfig-2.3.2-mingw-fccache.patch
[hidden email]**20060323173528]
[apply fontconfig patch.
[hidden email]**20060323173315]
[use plain text for status file.
[hidden email]**20060323173236]
[trim fc-cache script
[hidden email]**20060323155335]
[add Fontconfig local package.
[hidden email]**20060323155327]
[only complain about branches if cvs_branch <> ''
[hidden email]**20060323155215]
[bootstrap reqs fontconfig too.
[hidden email]**20060323155202]
[tweaks.
[hidden email]**20060323151655]
[document why NSIS_CONFIG_LOG is switched off.
[hidden email]**20060323140827]
[urg. unprotect unquoted dirs.
[hidden email]**20060323140817]
[patches for nsis 2.15
[hidden email]**20060323133252]
[remove write protection from C:/windows before fc-caching.
[hidden email]**20060323133242]
[add patches/nsis-2.15-expand.patch
[hidden email]**20060323133009]
[remove simpleminded no-native patch
[hidden email]**20060323091343]
[use branch for gup2
[hidden email]**20060323091325]
[osx lilypad 0.2
[hidden email]**20060323091307]
[robust version subst for lilypad.
[hidden email]**20060323091258]
[Subst_method cvs_branch. Use in .hdr name.
[hidden email]**20060323091245]
[add python patch
[hidden email]**20060322142341]
[setup.py patch for cross building
[hidden email]**20060322142329]
[no verbose for binary pkgs.
[hidden email]**20060322140134]
[add branches, don't crash lilypondorg.py for nonexisting versions.
[hidden email]**20060322140126]
[update darwinppc osx lilypad subst
[hidden email]**20060321130036]
[move x-compiling mingw build to Python__mingw_cross. Use binary dist
[hidden email]**20060322002248
 of python for normal install.
]
[mail to janneke-list
[hidden email]**20060321161718]
[automatically update CVS sources for make doc.
[hidden email]**20060320230722]
[add make download
[hidden email]**20060320182702]
[Add src_package stub to Null_package.
[hidden email]**20060319071012]
[use SF.net address for nsis.
[hidden email]**20060320150654]
[bump nsis to 2.15
[hidden email]**20060320150232]
[force subprocess subst to succeed.
[hidden email]**20060320145646]
[also wipe usr/info/dir.
[hidden email]**20060320145634]
[README updates.
[hidden email]**20060319013823]
[rename patch.
[hidden email]**20060319013635]
[workaround for weird jpeg srcdir name.
[hidden email]**20060318211326]
[Actually working strip for Cygwin_package.
[hidden email]**20060318113421]
[nitpicks.
[hidden email]**20060318113353]
[Create CYGWIN-PATCHES.
[hidden email]**20060318095935]
[nitpicks
[hidden email]**20060318095916]
[update.
[hidden email]**20060318094609]
[update.
[hidden email]**20060318094559]
[Fix Cygwin src package.
[hidden email]**20060318094249]
[Add src_package stage.
[hidden email]**20060318094237]
[half assed attempt at src pkage for Cygwin.
[hidden email]**20060317212939]
[thinko.
[hidden email]**20060317210851]
[update.
[hidden email]**20060317210839]
[Add readmes for Cygwin, hint version fixes.
[hidden email]**20060317204700]
[Zip info files for Cygwin.
[hidden email]**20060317204534]
[Do not include gub in gup-manager.
[hidden email]**20060317204516]
[Sensible strip for Cygwin.
[hidden email]**20060317200847]
[Fix Cygwin `installer'
[hidden email]**20060317200720]
[don't repeat http://
[hidden email]**20060317195921]
[move defaults outside cmd line option processing.
[hidden email]**20060317195632]
[tweaks.
[hidden email]**20060317172249]
[get osx-lilypad version from file manager.
[hidden email]**20060317171553]
[strip install_manager arg
[hidden email]**20060317151028]
[further README updaets.
[hidden email]**20060317143142]
[remove wine requirements.
[hidden email]**20060317122553]
[revise README.
[hidden email]**20060317122144]
[change local.make location.
[hidden email]**20060317122135]
[copy subprocess.py from osx-lilypad.
[hidden email]**20060317115328]
[selectmodule patch.
[hidden email]**20060317114559]
[todo updates.
[hidden email]**20060317114550]
[reorganise GNUmakefile so local.make can overwrite local settings.
[hidden email]**20060317114542]
[be PC in patches.
[hidden email]**20060317111309]
[selectmodule.patch
[hidden email]**20060317114606]
[configure GMP for i386 target architecture.
[hidden email]**20060317103432]
[resolve.
[hidden email]**20060316230820]
[resolve.
[hidden email]**20060310233130]
[barf if libtool can't be updated.
[hidden email]**20060310153235]
[fix freetype url
[hidden email]**20060310153226]
[update bootstrap instructions
[hidden email]**20060310153218]
[Add W32api_in_usr_lib hack package to workaround -L ...usr/lib/w32api.
[hidden email]**20060317141131]
[mirror.cs.wisc.edu is down, use sf.
[hidden email]**20060317125558]
[Freetype mirror does not carry 2.1.10 (yet).
[hidden email]**20060317124722]
[remove xinstall kludge
[hidden email]**20060317095130]
[clean PLATFORM-cross for too, using realclean
[hidden email]**20060317094847]
[osx lilypad 0.1
[hidden email]**20060317005116]
[remove commented urg kludge
[hidden email]**20060317003704]
[unset LILYPONDPREFIX for doc
[hidden email]**20060316233649]
[patch out fcntl too.
[hidden email]**20060316215348]
[typo.
[hidden email]**20060316214147]
[cleanup lines.
[hidden email]**20060316202840]
[remove copy over system_root/{include,lib} kludge.
[hidden email]**20060316202820]
[thinko.
[hidden email]**20060316201958]
[more distcc tweaks.
[hidden email]**20060316201952]
[strip double .hdr suffix for cross tools.
[hidden email]**20060316200600]
[distcc fixes.
[hidden email]**20060316193353]
[use optparse for lilypondorg.py, allow other urls too.
[hidden email]**20060316192137]
[support for native distcc too.
[hidden email]**20060316192117]
[more mingw path substs.
Han-Wen Nienhuys <[hidden email]>**20060316191652]
[switch on -O2 for darwin again.
[hidden email]**20060316143332]
[document -g removal for windows.
Han-Wen Nienhuys <[hidden email]>**20060316142819]
[don't muck with -g flags for lilypond-darwin
Han-Wen Nienhuys <[hidden email]>**20060316134356]
[no names arg either.
[hidden email]**20060316142920]
[get_cross_packages () for tools.py
[hidden email]**20060316142748]
[compile with -g for darwin
Han-Wen Nienhuys <[hidden email]>**20060316133504]
[thinko.
Han-Wen Nienhuys <[hidden email]>**20060316133454]
[accept comma's for distcc host list.
Han-Wen Nienhuys <[hidden email]>**20060316133447]
[Another mingw gcc install fix.
[hidden email]**20060316133639]
[Resolve conflict.
[hidden email]**20060316130829]
[Fix gcc
[hidden email]**20060316130710]
[Bugfix signature mingw.get_cross_packages.
[hidden email]**20060316130433]
[remove names arg from mingw get_cross_packages()
[hidden email]**20060316125618]
[reblacklist, typo.
[hidden email]**20060316124000]
[don't import string. string is deprecated.
[hidden email]**20060316120136]
[rewrite get_packages(). Use special mode for cygwin.
[hidden email]**20060316120123]
[class Cygwin_dependency_finder. Split out from get_cygwin_packages()
[hidden email]**20060316120004]
[get gs/python/guile version from installer dict.
[hidden email]**20060316115940]
[rename <crossmodule>.get_packages() to get_cross_packages() for clarity.
[hidden email]**20060316115918]
[remove PERLLIB setting.
[hidden email]**20060316115832]
[revise, until producing a functioning darwin-ppc installer
[hidden email]**20060315151941]
[hmm.  Remove file_manager from installers.py once again
[hidden email]**20060315151904]
[add dbdir argument, to store dbs outside of installer root.
[hidden email]**20060315151822]
[is_sdk_package() subst method.
[hidden email]**20060315151748]
[gup-manager allow use without -p.
[hidden email]**20060315151735]
[.py layout tweak
[hidden email]**20060315131857]
[build only known packages.
[hidden email]**20060315131847]
[move include_build_deps to Dependency_manager.
[hidden email]**20060315001131]
[add bootstrap command to GNUmakefile
[hidden email]**20060315001117]
[Expat depends on libtool.  Fixes FreeBSD.
[hidden email]**20060314202446]
[Re-add guile.changelog.  This fixes Cygwin, re-enable in platforms.
[hidden email]**20060314135400]
[Cygwin python version fix.
[hidden email]**20060314135227]
[Guile__cygwin build fix.
[hidden email]**20060314132857]
[Mingw.Gcc: bugfix: install usr/include, usr/lib in gcc too (again?).
[hidden email]**20060314110551]
[Also BUILD only dependencies instead of all registered packages.
[hidden email]**20060314102230]
[Download dependencies only, instead of all registered packages.  Fixes distro (debian/cygwin) downloads.
[hidden email]**20060314095054]
[darwin_ppc: get rewire files from File_manager db.
[hidden email]**20060313122023]
[debugging: __repr__ for File_manager
[hidden email]**20060313122007]
[add file_manager to installer instance.
[hidden email]**20060313121953]
[patch libpng.
[hidden email]**20060313115515]
[Several Cygwin fixes.  Still not functional.
[hidden email]**20060313102539]
[README: split debian/redhat recipes.
[hidden email]**20060313091957]
[libpng depends for icoutil.
[hidden email]**20060313090913]
[add libpng__local.
[hidden email]**20060313090906]
[also require hdr file for installing.
[hidden email]**20060313090649]
[rm specs/cygwinpm.py
[hidden email]**20060313090257]
[remove manual dump calls.
[hidden email]**20060313090247]
[add dump_header_file stage.
[hidden email]**20060313090231]
[create .res.o directly from .rc
Han-Wen Nienhuys <[hidden email]>**20060313003714]
[wrc change
Han-Wen Nienhuys <[hidden email]>**20060313002254]
[use windres iso. wrc for lilypad.
[hidden email]**20060313001259]
[remove "import select" in subprocess.py for mingw.
[hidden email]**20060312233231]
[GNUmakefile: downlaod , web-clean , distcc fixes.
[hidden email]**20060312233115]
[set GUILE_LOAD_PATH for GUILE wrapper script.
[hidden email]**20060312231310]
[README  updates
Han-Wen Nienhuys <[hidden email]>**20060312192125]
[dump scons hdr too.
Han-Wen Nienhuys <[hidden email]>**20060312191811]
[dupm hdr and scons and general tools too.
Han-Wen Nienhuys <[hidden email]>**20060312191758]
[strip extra .hdr
Han-Wen Nienhuys <[hidden email]>**20060312191744]
[rename cygwin to cygcheck, strip from mingw.
[hidden email]**20060312190618]
[strip cygwin ("cygcheck") from lilypond deps.
[hidden email]**20060312190553]
[icoutils tweak
[hidden email]**20060312190543]
[use set_cross_dependencies()
[hidden email]**20060312190536]
[split get_cross_packages() into get_cross_packages () and set_cross_dependencies().
[hidden email]**20060312190519]
[resolve.
Han-Wen Nienhuys <[hidden email]>**20060312183354]
[add download for local pkgs.
[hidden email]**20060312183218]
[fix packaging installers.
[hidden email]**20060312183107]
[use wildcards iso explicit versions for pruning
[hidden email]**20060312183011]
[remove debug print.
[hidden email]**20060312180845]
[delay register_package_dict()
[hidden email]**20060312180443]
[remove libiconv earlier.
[hidden email]**20060312180345]
[reinstate dependencies_string support.
[hidden email]**20060312180337]
[fix installer builds.
[hidden email]**20060312180327]
[hdr_file/hdr_name fixes.
[hidden email]**20060312170459]
[support for PLATFORM-cross directory.
[hidden email]**20060312122922]
[nsis compile fix.
[hidden email]**20060312114721]
[fixes.
[hidden email]**20060312114619]
[specs for tools too, add lib/ dir
[hidden email]**20060312114201
 
 Add lib directory. Move non-spec files there. Explode tools.py in
 separate spec files.
 
 
]
[more finegrained warnings.
[hidden email]**20060311144133]
[filter package names.
[hidden email]**20060311144122]
[new function cross.get_cross_packages()
[hidden email]**20060311133018]
[move version_fixups up.
[hidden email]**20060311131524]
[typo.
[hidden email]**20060311125124]
[mingw GCC needs runtime.
[hidden email]**20060311124645]
[sort another time  to get cross_packages in the right order too.
[hidden email]**20060311120214]
[add doc to all.
[hidden email]**20060311115642]
[strip test code.
[hidden email]**20060311115631]
[cygwin cleanups.
[hidden email]**20060311022713]
[get_cygwin_packages fixes.
[hidden email]**20060311022038]
[remove xpm
[hidden email]**20060311021854]
[tewaks.
[hidden email]**20060311021747]
[GNUmakefile tweaks.
[hidden email]**20060311021706]
[ add specs/cygwinpm.py
[hidden email]**20060311021442]
[set cross_checksum
[hidden email]**20060311021438]
[check cross_checksum too
[hidden email]**20060311021427]
[init checksum.
[hidden email]**20060311021419]
[checksums for cross modules.
[hidden email]**20060311021411]
[remove xpm
[hidden email]*-20060310155527]
[complain if there is a checksum mismatch.
[hidden email]**20060310160021]
[remove xpm
[hidden email]**20060310155527]
[xpm -> gup in gup-manager.
[hidden email]**20060310155516]
[xpm -> gup2
[hidden email]**20060310155402]
[store spec checksum in load_target_package() result.
[hidden email]**20060310155035]
[use gup2 for gup-manager
[hidden email]**20060310152931]
[move Os_commands to oslog.py
[hidden email]**20060310152856]
[refactor: use gup2 iso. xpm.
[hidden email]**20060310152756]
[.hdr name should not inlcude version
[hidden email]**20060310152645]
[generic get_cross_module() routine.
[hidden email]**20060310152627]
[thinko.
[hidden email]**20060310152548]
[use oslog.
[hidden email]**20060310152536]
[add load_target_package to targetpackage.py
[hidden email]**20060310152522]
[move debian package generation to debian_unstable.py
[hidden email]**20060310152457]
[add specs/gup2.py
[hidden email]**20060310152358]
[add specs/oslog.py
[hidden email]**20060310152329]
[derive Fontconfig__freebsd from Fontconfig__linux
[hidden email]**20060310224006]
[derive Pango__freebsd from Pango__linux.
[hidden email]**20060310223945]
[README tweak
[hidden email]**20060310212758]
[lose the double compile for windows, just link twice.
[hidden email]**20060310212746]
[strip G++ from freebsd runtime.
[hidden email]**20060310174637]
[more on freebsd.
[hidden email]**20060310173923]
[strip C_INCLUDE_PATH and CPLUS_INCLUDE_PATH completely, and document why.
[hidden email]**20060310173828]
[thinko.
[hidden email]**20060310173815]
[local GUILE reqs libtool.
[hidden email]**20060310153424]
[revert GCC to 4.0.2 for linux.
[hidden email]**20060310122953]
[import time for intsaller.py
[hidden email]**20060310093459]
[add system_root/usr/include once again.
Han-Wen Nienhuys <[hidden email]>**20060309235128]
[set arch=i386 for CXXFLAGS and FFLAGS too.
[hidden email]**20060309214544]
[typos.
[hidden email]**20060309212625]
[remove bluntaxe reference.
[hidden email]**20060309212506]
[multiply hostcount with 2, not -jX string.  
[hidden email]**20060309212459]
[more python patches.
Han-Wen Nienhuys <[hidden email]>**20060309151109]
[add python patches
Han-Wen Nienhuys <[hidden email]>**20060309151042]
[update build timestamp for info.plist.
[hidden email]**20060309153657]
[update TODO
[hidden email]**20060309133016]
[skip libgcc_s again
[hidden email]**20060309132849]
[refuse to overwrite existing installation.
[hidden email]**20060309132836]
[resolve.
[hidden email]**20060302220719]
[TAG before split
[hidden email]**20060302220419]
[apply ghostscript encoding patch.
[hidden email]**20060225233901]
[DOCUMENTATION=yes for documentation target.
[hidden email]**20060222172028]
[load TTF through GS by default.
[hidden email]**20060222172016]
[default argument for args.
[hidden email]**20060307182050]
[set LD_LIBRARY_PATH, for freebsd.
[hidden email]**20060307172938]
[add ugh comment.
[hidden email]**20060307121406]
[more details for building.
[hidden email]**20060307120119]
[expat doesn't need broken_install_command()
[hidden email]**20060307120107]
[kill_libtool_installation_test(), separate function.
[hidden email]**20060307120054]
[alphabetical order, add libtool.
[hidden email]**20060307120014]
[not tooldir but buildtools.
[hidden email]**20060307115831]
[Cygwin guile fixes.
[hidden email]**20060303143638]
[Install doc in usr/share.
[hidden email]**20060303143453]
[Implement Cygwin_package.  Tested with guile, still disabled.
[hidden email]**20060303135140]
[print all commands before barfing.
[hidden email]**20060303102931]
[more generic option (binutils 2.15/2.16 incompatibility.)
[hidden email]**20060303102921]
[typo.
[hidden email]**20060302225535]
[Naive package splitting from mknetrel era.  Tested but disabled on Guile_cygwin.
[hidden email]**20060302225458]
[Bugfix cygwin installer.
[hidden email]**20060302211549]
[resolve: install gcc anyway.
[hidden email]**20060302220035]
[load fonts via gs.
[hidden email]**20060302215906]
[lily depends on gcc. (ugh.)
Han-Wen Nienhuys <[hidden email]>**20060302213632]
[ship gcc too.
Han-Wen Nienhuys <[hidden email]>**20060302213621]
[make, gmp and guile 1.8.0.
Han-Wen Nienhuys <[hidden email]>**20060302193136]
[get_substitution_dict() for Tool_package, to link tools against tools.
Han-Wen Nienhuys <[hidden email]>**20060302193122]
[mv VERSION/ current/
[hidden email]**20060302214752]
[guile__mingw depends on regex.
[hidden email]**20060302214730]
[Set tooldir, gcc_tooldir for cygwin binutils and gcc.  Rename gub tooldir to buildtools.
[hidden email]**20060302202258]
[Fix w32api for libtool too.
[hidden email]**20060302202152]
[Workaround for build_installer with distro.
[hidden email]**20060302202023]
[cygwin builds: Add cygwin to test platforms.
[hidden email]**20060302143227]
[LilyPond__cygwin: depends on libiconv (iso same but unlinkable libiconv2).
[hidden email]**20060302135006]
[LilyPond__cygwin: builddeps on libfontconfig-devel.
[hidden email]**20060302132740]
[LilyPond__cygwin depends on glib2-*; cygwin ships glib-1.x as default.
[hidden email]**20060302132449]
[More LilyPond__cygwin depends.
[hidden email]**20060302131910]
[quote.
[hidden email]**20060302131505]
[LilyPond__cygwin fixes.
[hidden email]**20060302131422]
[cygwin: blacklist guile-devel iso guile; assume we build from source.
[hidden email]**20060302131338]
[dump hdr file with (build)deps.
[hidden email]**20060302130122]
[use skip_libs to skip libgcc stub.
[hidden email]**20060302124542]
[switch on rewire.
[hidden email]**20060302120938]
[more fudge.
[hidden email]**20060302115112]
[more fudging with darwin-sdk.
[hidden email]**20060302113635]
[typo.
[hidden email]**20060302102820]
[typo
[hidden email]**20060302110037]
[FIXME: add -L../w32api to LDFLAGS.
[hidden email]**20060302105630]
[Update binutils for cygwin.
[hidden email]**20060302105550]
[Remove broken substs from Guile__mingw.
[hidden email]**20060302105513]
[Add Guile__cygwin.
[hidden email]**20060302105401]
[resolve typo conflict
[hidden email]**20060302102344]
[cyclic dep diagnostics.
[hidden email]**20060302102052]
[typo
[hidden email]**20060301232945]
[patch perl script not python
[hidden email]**20060301213347]
[typo
[hidden email]**20060302072556]
[typo
[hidden email]**20060302072159]
[Remove base-passwd from cygwin dependencies to break cycle.
[hidden email]**20060302072120]
[typo
[hidden email]**20060302072043]
[fix dl link.
[hidden email]**20060301205202]
[gcc 4.1 for linux.
[hidden email]**20060301204903]
[more generic way of discovering classname.
[hidden email]**20060301204529]
[glib 2.9.6
[hidden email]**20060301204510]
[more juggling with different darwin SDK packages.
[hidden email]**20060301204500]
[bump mftrace
[hidden email]**20060301200442]
[gcc 4.1.0
[hidden email]**20060301195214]
[dawdle with gcc 4.1 vs 4.0
[hidden email]**20060301163142]
[revise SDK getter.
[hidden email]**20060301150839]
[update TODO
[hidden email]**20060301150822]
[mingw: bump gcc to official 4.1.0
[hidden email]**20060301133407]
[rename darwin to darwin-ppc, add darwin-x86 platform.
[hidden email]**20060301132720]
[Fixup .la files for binary packages too.
[hidden email]**20060301124104]
[Build libtool from source for mingw.
[hidden email]**20060301124045]
[Copy deps into builddeps for mingw.
[hidden email]**20060301124022]
[Always build command line packages from source.  Compile gcc with newlib for cygwin.
[hidden email]**20060301123922]
[Remove unwanted packages from manager too.  Fixes darwin and linux.
[hidden email]**20060227103206]
[Do not start building for installable package.  Fixes cygwin.
[hidden email]**20060227100811]
[Binary packages do not depend on cross or sdk; fixes Cygwin.
[hidden email]**20060227072628]
[rename gs patch
[hidden email]**20060226220755]
[apply gs encoding patch
[hidden email]**20060226124914]
[add patches/gs-8.50-encoding.patch
[hidden email]**20060225233749]
[Move any libiconv, zlib depends to base class constructor.  Remove libiconv, zlib in darwin.py; remove all libiconv in linux.py.
[hidden email]**20060226111902]
[Register packages in xpm.get_manager; fixes gup-manager.
[hidden email]**20060226103828]
[Remove stray framework snippet from lilypond.py
[hidden email]**20060225211642]
[import glob for linux pango.
[hidden email]**20060225085656]
[Remove zlib dependency from darwin packages.
[hidden email]**20060225080351]
[Remove zlib dependency from darwin packages.
[hidden email]**20060225080307]
[derive Ghostscript__freebsd from Ghostscript.
[hidden email]**20060225015541]
[set CVS for lilypond.
[hidden email]**20060225015413]
[handle - in package name.
[hidden email]**20060225015139]
[rename class to Osx_lilypad.
[hidden email]**20060225015127]
[Use instances checks again in version fixup.
[hidden email]**20060224212730]
[Move registering packages to main.
[hidden email]**20060224211439]
[Import fixes for lilypond.py.
[hidden email]**20060224172034]
[Import fix for misc.
[hidden email]**20060224160734]
[Import fix for pango.py.
[hidden email]**20060224132842]
[Import fix for fontconfig.py.
[hidden email]**20060224132658]
[Version/with fixes for fontconfig.py.
[hidden email]**20060224132302]
[Import fix for fontconfig.py.
[hidden email]**20060224120400]
[autoupdate for GUILE.
[hidden email]**20060224110930]
[resolve
[hidden email]**20060224110916]
[distcc patch
[hidden email]**20060224105542]
[distcc subst patch.
[hidden email]**20060224105520]
[init distcc_hosts. Fixes gup-manager.py
[hidden email]**20060223195146]
[autoupdate for Guile compile.
[hidden email]**20060223195101]
[Import fixes for ghostscript.py.
[hidden email]**20060224095413]
[Import fixes for guile.py.
[hidden email]**20060224094251]
[Another import fix, and glib and pango dependencies.
[hidden email]**20060224092619]
[Two more import fixes.
[hidden email]**20060224091144]
[Remove cruft from fondu.py.
[hidden email]**20060224074742]
[More sdk/cross dependency juggling.
[hidden email]**20060224073632]
[Remove manual cross/sdk dependencies.  What happened to isinstance?
[hidden email]**20060224070900]
[Avoid adding base dependency to base package.
[hidden email]**20060224065553]
[Lilypad: import misc.
[hidden email]**20060224064013]
[Remove fontconfig dependency from fontconfig.
[hidden email]**20060224063951]
[Excise framework.get_packages.  Explode framework into spec scripts.
[hidden email]**20060224022216]
[use twice the number of CPUs for job count.
[hidden email]**20060222161738]
[gs ttf patch
[hidden email]**20060222155421]
[locate_files() thinko.
[hidden email]**20060222111636]
[strip whitespace from search results.
[hidden email]**20060222111447]
[don't set PATH_SEPARATOR for Guile__mingw
[hidden email]**20060222110708]
[add lib/lilypond/current/python to PYTHONPATH
[hidden email]**20060222110659]
[guile 1.8
[hidden email]**20060222000316]
[add icoutils tool package..
[hidden email]**20060219163506]
[lilypondorg.py: max_branch_version_build() function
[hidden email]**20060220170024]
[extra stage strip-installer. Call separately.
[hidden email]**20060220164242]
[remove Tarball installer.
[hidden email]**20060220163759]
[add documentation platform.
[hidden email]**20060220163751]
[add doc target.
[hidden email]**20060220163741]
[typo in gcc url.
[hidden email]**20060219140031]
[build gcc for distccd.
[hidden email]**20060219125751]
[also sub /mingw/include in mingw32.h
[hidden email]**20060219125736]
[inherit Target_package.compile_command for libpng.
[hidden email]**20060219135107]
[down to gcc 4.1.20060217 for mingw.
[hidden email]**20060219125835]
[remove mac target.
[hidden email]**20060219125812]
[add zilb, expat deps to python.
[hidden email]**20060219031451]
[add distcc tool package.
[hidden email]**20060219025205]
[potrace and fontforge
[hidden email]**20060219021433]
[add mftrace.
[hidden email]**20060219014529]
[guile fix for BSD socklen_t.
[hidden email]**20060219011232]
[don't force kill to succeed.
[hidden email]**20060218230028]
[remove %(system_root)s/usr/include from C(PLUS)_INCLUDE_PATH;
[hidden email]**20060218224459
 Otherwise GCC gets confused by its own fixincludes headers.
]
[gcc 4 for freebsd.
[hidden email]**20060218220459]
[more nsis tweaks.
[hidden email]**20060218180447]
[add nsis  patches
[hidden email]**20060218180420]
[typo.
[hidden email]**20060218153351]
[Nsis__scons class for NSIS 2.14.
[hidden email]**20060218153345]
[renames
[hidden email]**20060218140654]
[add CCLD_FOR_BUILD
[hidden email]**20060218140643]
[cleanups.
[hidden email]**20060218140631]
[-jX fix for guile.
[hidden email]**20060218140619]
[don't use "not" program.
[hidden email]**20060218140545]
[README distcc notes.
[hidden email]**20060218140537]
[rename xpm -> gup-manager , driver -> gub-builder
[hidden email]**20060218140529]
[add README
[hidden email]**20060218125418]
[Comment-out boost.  As part of packages, it is built even though lilypond does not depend on it.
[hidden email]**20060218055849]
[small distcc fixes
[hidden email]**20060217143311]
[install GCC for distccd.
[hidden email]**20060217142014]
[wildcard for distccd binaries.
Han-Wen Nienhuys <[hidden email]>**20060217135807]
[distcc fixes.
[hidden email]**20060217135843]
[gcc 4.2 for mingw.
[hidden email]**20060217135830]
[add patches/gettext-xgettext-dll-autoimport.patch
[hidden email]**20060217135627]
[add specs/distcc.py
[hidden email]**20060217134038]
[set distcc for compile command.
[hidden email]**20060217134020]
[remove -g flags from mingw lily compile.
[hidden email]**20060217133946]
[--distcc-host option to driver.py
[hidden email]**20060217133920]
[distccd target in GNUmakefile.
[hidden email]**20060217133903]
[TAG success-make_darwin_from_linux-20060217110555
[hidden email]**20060217162702]
Patch bundle hash:
0af3a5d359daa5724956d94f08ef59dba92504bf

_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel
Reply | Threaded
Open this post in threaded view
|

Re: GUB: patch for linux_kernel_headers

Han-Wen Nienhuys-2
Pedro Kröger wrote:
> Hi,
>
> You may want to apply the attached patch. It updates
> linux_kernel_headers to 2.6.13+0rc3-2.1. I couldn't find
> 2.6.13+0rc3-2 from any mirror.
>
> Pedro

It was a few weeks ago, so I assume that debian throws away old versions
quickly. I expect that this will break in the near future as well; can
we figure out a mechanism that doesn't rely on Debian source archives?
Or one that takes it from a stable version of ubuntu/debian?

--

Han-Wen Nienhuys - [hidden email] - http://www.xs4all.nl/~hanwen

LilyPond Software Design
  -- Code for Music Notation
http://www.lilypond-design.com



_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel
Reply | Threaded
Open this post in threaded view
|

Re: GUB: patch for linux_kernel_headers

Jan Nieuwenhuizen
Han-Wen Nienhuys writes:

> It was a few weeks ago, so I assume that debian throws away old
> versions quickly. I expect that this will break in the near future as
> well; can we figure out a mechanism that doesn't rely on Debian source
> archives? Or one that takes it from a stable version of ubuntu/debian?

Yes, we could, but then it would not be debian_unstable.py.  We may
want to disable downloading of debian-unstable stuff by default
(esp. because we do not build debian anyway) or make a switch to
debian_stable.py.

Jan.

--
Jan Nieuwenhuizen <[hidden email]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org


_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel
Reply | Threaded
Open this post in threaded view
|

Re: GUB: patch for linux_kernel_headers

Han-Wen Nienhuys-2
Jan Nieuwenhuizen wrote:

> Han-Wen Nienhuys writes:
>
>> It was a few weeks ago, so I assume that debian throws away old
>> versions quickly. I expect that this will break in the near future as
>> well; can we figure out a mechanism that doesn't rely on Debian source
>> archives? Or one that takes it from a stable version of ubuntu/debian?
>
> Yes, we could, but then it would not be debian_unstable.py.  We may
> want to disable downloading of debian-unstable stuff by default
> (esp. because we do not build debian anyway) or make a switch to
> debian_stable.py.

I think the linux_kernel_headers are used for the linux build, not the
debian one.


--

Han-Wen Nienhuys - [hidden email] - http://www.xs4all.nl/~hanwen

LilyPond Software Design
  -- Code for Music Notation
http://www.lilypond-design.com



_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel
Reply | Threaded
Open this post in threaded view
|

Re: GUB: patch for linux_kernel_headers

Pedro Kröger
Han-Wen Nienhuys <[hidden email]> writes:

> I think the linux_kernel_headers are used for the linux build, not the
> debian one.

Hum, I was going to recommend to download directly from
linux-libc-headers [1] (linux from scratch and DIY-linux use it) but I
just learned the project is kind of dead [2]

I suppose we could use stable like Jan suggested or maybe testing. It
tend to change less frequently than unstable.

Pedro

Footnotes:
[1] http://ep09.pld-linux.org/~mmazur/linux-libc-headers/

[2] http://lists.pld-linux.org/mailman/pipermail/llh-announce/2006-March/000002.html



_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel